package cz.moneta.test.dsl.udebs.ib;

import java.util.Date;

public class IbCredentials {
    private String ico;
    private String userLoginId;
    private String digitalContextId;
    private Date idCardValidity;

    public IbCredentials(String ico, String userLoginId, String digitalContextId, Date idCardValidity) {
        this.ico = ico;
        this.userLoginId = userLoginId;
        this.digitalContextId = digitalContextId;
        this.idCardValidity = idCardValidity;
    }

    public String getIco() {
        return ico;
    }

    public IbCredentials setIco(String ico) {
        this.ico = ico;
        return this;
    }

    public String getUserLoginId() {
        return userLoginId;
    }

    public IbCredentials setUserLoginId(String userLoginId) {
        this.userLoginId = userLoginId;
        return this;
    }

    public String getDigitalContextId() {
        return digitalContextId;
    }

    public IbCredentials setDigitalContextId(String digitalContextId) {
        this.digitalContextId = digitalContextId;
        return this;
    }

    public Date getIdCardValidity() {
        return idCardValidity;
    }

    public IbCredentials setIdCardValidity(Date idCardValidity) {
        this.idCardValidity = idCardValidity;
        return this;
    }
}
